// This code is auto-generated

#include "ticksUtils.h"
void burnTicks(int ticks) {
		// default implementation of tick burning
		int numLoops = ticks / 400; 
	#	if defined (__x86_64__)
	 	for (int i = 0; i < numLoops; i++) {
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		__asm volatile("nop");
	 		}
	#	elif defined (__x86_32__) 		
	 		for (int i = 0; i < numLoops; i++) {
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 			 	__asm volatile("mov r0, r0");
	 				}
	#	elif defined (__aarch64__) 		
	 	for (int i = 0; i < numLoops; i++) {
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
	 	__asm volatile("mov x0, x0");
		}
	#	endif
}

void burnTicksStatistics(double average, int lowerBound, int upperBound) {
	burnTicks((int)average);
}

void executeTicks_DiscreteValueConstantImpl(int ticks) {
	burnTicks(ticks);
}

